---
title: Authentication | API Docs
description: Authenticate V2 Partner API requests with your integration token.
---

The Linq Partner API uses **integration tokens** for authentication. Your integration token determines which phone numbers you can message from and which organization data you can access.

Integration tokens are provided by your Linq representative. Contact your account manager to request a token or manage existing tokens.

> **Your integration token is a secret.** Keep it to yourself and don’t push it to client-side code. Use environment variables or a secret-key system to securely load your integration token into your project.

Integration tokens should be provided via the `X-LINQ-INTEGRATION-TOKEN` header.

```
X-LINQ-INTEGRATION-TOKEN: your_token_here
```

## Making authenticated requests

Include your token in the header of every API request:

Terminal window

```
curl "https://api.linqapp.com/api/partner/v2/chats?phone_number=%2B19998887777" \
  -H "X-LINQ-INTEGRATION-TOKEN: your_token_here"
```

## Base URL

All API requests use the following base URL:

```
https://api.linqapp.com
```

Combine this base URL with the endpoint paths shown in the [V2 Reference](/v2/api/index.md). For example:

- List chats: `https://api.linqapp.com/api/partner/v2/chats?phone_number=...`
- Send a message: `https://api.linqapp.com/api/partner/v2/chats/{chat_id}/chat_messages`

## Next step

Send your first message in [Your First Message](/v2/your-first-message/index.md).
